<template lang="pug">
    .container-fluid
        br
        .row
            .col-4.offset-2.left
                h1 Dictamen
            .col-4.right
                button.btn.btn-danger(type="button" v-on:click="salir")  Salir
        .row
            .col-8.offset-2.left
                br
                h2 Ponencias
                br
                table.table
                    thead
                        tr
                            td Resumen
                            //- td Extenso
                            td Nombre del trabajo
                            td Nombre del aspirante
                            td Aceptado
                            td Rechazado
                            //- td Publicado
                            //- td Pagado
                    tbody
                        tr(v-for="i in ponencias")
                            td
                                a.btn.btn-primary(:href="`${config.api}/descargar_ponencia?id_persona=${i.id_persona}`" download="ponencia" )  ver
                            //- td
                            //-     button.btn.btn-info(type="button")  ver
                            td {{i.nombre_trabajo}}
                            td {{i.autor_principal}}
                            td.center
                                input.form-check-input(type="checkbox" disabled)
                            td.center
                                input.form-check-input(type="checkbox" disabled)
                            //- td.center
                            //-     input.form-check-input(type="checkbox")
                            //- td.center
                            //-     input.form-check-input(type="checkbox")
        br
        br
        .row
            .col-8.offset-2.left
                br
                h2 Cartel
                br
                table.table
                    thead
                        tr
                            td Resumen
                            //- td Extenso
                            td Nombre del trabajo
                            td Nombre del aspirante
                            td Aceptado
                            td Rechazado
                            //- td Publicado
                            //- td Pagado
                    tbody
                        tr(v-for="j in carteles")
                            td
                                a.btn.btn-primary(:href="`${config.api}/descargar_cartel?id_persona=${j.id_persona}`" download="ponencia" )  ver
                            //- td
                            //-     button.btn.btn-info(type="button")  ver
                            td {{j.nombre_trabajo}}
                            td {{j.autor_principal}}
                            td.center
                                input.form-check-input(type="checkbox" disabled)
                            td.center
                                input.form-check-input(type="checkbox" disabled)
                            //- td.center
                            //-     input.form-check-input(type="checkbox")
                            //- td.center
                            //-     input.form-check-input(type="checkbox")

</template>

<script>
import axios from 'axios'
import config from '../config/config.js'

export default {
    data() {
        return {
            ponencias: {},
            carteles: {},
            id_admin: '',
        }
    },
    methods: {
        salir: function() {
            window.localStorage.removeItem('id')
            window.localStorage.removeItem('mesa')
            this.$router.push('/loginadmin')
        },
        ponenciafile: function(id) {
            axios
                .get(
                    `${config.api}/descargar_ponencia?id_persona=${id}`
                )
                .then(response => {
                    // eslint-disable-next-line
                    console.log(response)
                })
                .catch(function(error) {
                    // eslint-disable-next-line
                    console.log(error)
                })
        },
        cartelfile: function(id) {
            axios
                .get(
                    `${config.api}/descargar_cartel?id_persona=${id}`
                )
                .then(response => {
                    // eslint-disable-next-line
                    console.log(response)
                })
                .catch(function(error) {
                    // eslint-disable-next-line
                    console.log(error)
                })
        },
    },
    created: function() {
        this.id_admin = window.localStorage.id
        axios
            .get(
                `${config.api}/llenar_ponencia?id_admin=${this.id_admin}`
            )
            .then(response => {
                // eslint-disable-next-line
                console.log(response.data.dat)
                this.ponencias = response.data.dat
            })
            .catch(function(error) {
                // eslint-disable-next-line
                console.log(error)
            })
        axios
            .get(
                `${config.api}/llenar_cartel?id_admin=${this.id_admin}`
            )
            .then(response => {
                // eslint-disable-next-line
                console.log(response.data.dat)
                this.carteles = response.data.dat
            })
            .catch(function(error) {
                // eslint-disable-next-line
                console.log(error)
            })
    },
}
</script>

<style scoped>
.left {
    text-align: left;
}
.center {
    text-align: center;
}
.right {
    text-align: right;
}
</style>